## org.apache.batik.apps.svgpp
Class Main.NewlineHandler

    java.lang.Object
      org.apache.batik.apps.svgpp.Main.NewlineHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

    protected class Main.NewlineHandler

extends java.lang.Object
implements Main.OptionHandler

To handle the '-newline' option.

Field Summary
`protected java.util.Map` `values`

Constructor Summary
`protected` `Main.NewlineHandler()`

Method Summary
`java.lang.String` `getDescription()` Returns the option description.
`void` `handleOption()` Handles the current option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected final java.util.Map values

Constructor Detail

### Main.NewlineHandler

    protected Main.NewlineHandler()

Method Detail

### handleOption

    public void handleOption()

  Description copied from interface: `Main.OptionHandler`
  Handles the current option.

  Specified by:
    `handleOption` in interface `Main.OptionHandler`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Main.OptionHandler`
  Returns the option description.

  Specified by:
    `getDescription` in interface `Main.OptionHandler`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.